Bug 194132

Summary: Review Request: yum-metadata-parser
Product: [Fedora] Fedora Reporter: Jeremy Katz <katzj>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-06-14 16:49:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 188268    

Description Jeremy Katz 2006-06-05 18:10:58 EDT
Spec URL: http://people.redhat.com/katzj/yum-metadata-parser.spec
SRPM URL: http://people.redhat.com/katzj/yum-metadata-parser-1.0-3.src.rpm
Description: C based parser for repomd to speed things up in yum.

Note that this is only available in CVS right now, but will end up being required (well, desired at least) with yum 2.9.0 and the plan is to have a release of this at the same time.  I expect we'll be moving the files to under the yum namespace at that point, too, but I want to start this ball rolling to avoid trying to do a last minute review :)
Comment 1 Jesse Keating 2006-06-05 18:31:52 EDT
NEEDSWORK:
- %{?dist} doesn't work in brew

Question:
- Is this really a development library, or a runtime library?  (is there a
difference?)

I can't build it until the new yum becomes available.
Comment 2 Jeremy Katz 2006-06-05 19:49:46 EDT
%{?dist} will just evaluate to nothing while the buildsys doesn't have it
defined.  Thus, having it isn't really problematic.

Development/Libraries matches what's used for most other python modules, so it's
at least consistent (although never really used).  And it builds fine without
the new yum, you just can't really take advantage of it (hence, the runtime
requires)
Comment 3 Jesse Keating 2006-06-05 23:24:49 EDT
rpmlint fails.

E: yum-metadata-parser non-executable-script
/usr/lib64/python2.4/site-packages/sqlitecachec.py 0644
Comment 4 Jeremy Katz 2006-06-05 23:58:09 EDT
I think it's being triggered by the #! at the top of the file -- removed it in
CVS.  When I first saw it earlier, I thought rpmlint was just being silly (as
it's a module, not actually a script).  At the same time, it is a pretty
spurious error to have as an error.  *shrug*
Comment 5 Jesse Keating 2006-06-06 14:35:40 EDT
Ok, then approved.
Comment 6 Jesse Keating 2006-06-14 16:49:26 EDT
In RAWHIDE.